package com.jianshui.income.mapper;

import com.jianshui.income.domain.entity.IncomeInvoice;

import java.util.List;

public interface IncomeInvoiceMapper {
    int deleteByPrimaryKey(Long id);

    int insert(IncomeInvoice record);

    int insertSelective(IncomeInvoice record);

    IncomeInvoice selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(IncomeInvoice record);

    int updateByPrimaryKey(IncomeInvoice record);

    List<IncomeInvoice> selectSelective(IncomeInvoice record);
}